Skip to main content
Query status and config of Cluster Instances.
Authentication · API availability · Download OpenAPI

Authorizations

Authorization
string
header
required

Bearer token for user session

Headers

X-Request-Id
string

User-Agent specified id to track a request

Query Parameters

summary
boolean

cluster instance summary flag

namePattern
string

name pattern

project
string

User defined name of the project, unique across the enterprise. Once project is created, name can’t be changed

projectNamePattern
string

project name pattern

next.pageToken
string

Page Token

next.orderBy
string[]

OrderBy helps in sorting the list response

next.pageNum
number<int64>

Page Number

next.pageSize
number<int64>

Defines the page size

next.totalPages
number<int64>

Total number of pages to be fetched.

fields
string[]

Fields to select: id, name, title, projectId, tags, clusterPolicyId, adminState, runState, edgeNodePoolIDs, serverNodeIDs, agentNodeIDs, nodesJobName, orchestratorClusterID, orchestratorClusterRunState, orchestratorClusterErrMsg, orchestratorClusterWarnMsg, projectName, clusterType

Response

A successful response.

ClusterInstStatusListMsg is used for listing the cluster instance statuses

list
Cluster instance status summary · object[]

cluster instance status summary

summaryByState
Summary is used to store the Summary details · object

cluster instance status by state

next
Cursor is used as filter in list operation. · object

cursor next